#include <bits/stdc++.h>

using namespace std;

int main() {
    char slovo1;
    char slovo2;
    int broj1;
    int broj2;
    cin>>slovo1>>slovo2;
    cin>>broj1>>broj2;
    
    if(broj2==broj1-1){
        for(int i=0; i<broj2; i++){
            cout<<slovo1<<slovo2;
        }
        cout<<slovo1;
    }else if(broj1==broj2){
        for(int i=0; i<broj2; i++){
            cout<<slovo1<<slovo2;
        }
    }else if(broj2==broj1+1){
        for(int i=0; i<broj1; i++){
            cout<<slovo2<<slovo1;
        }
        cout<<slovo2;
    }else{
        cout<<"nemoguce"<<endl;
    }
    
}